Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2014-12-11
Initial Package Version: 211
Upstream Status:         Not applicable
Origin:                  Self
Description:             Make it install compat pkg-config files without
                         building compat-libs which are useless on LFS.

--- a/Makefile.am	2014-12-10 23:20:36.230456730 +0100
+++ b/Makefile.am	2014-12-11 12:57:29.628553382 +0100
@@ -2782,7 +2782,11 @@
 UNINSTALL_EXEC_HOOKS += libsystemd-uninstall-hook
 
 pkgconfiglib_DATA += \
-	src/libsystemd/libsystemd.pc
+	src/libsystemd/libsystemd.pc \
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc
 
 pkginclude_HEADERS += \
 	src/systemd/sd-login.h \
@@ -5801,12 +5805,6 @@
 	libsystemd-id128.la \
 	libsystemd-daemon.la
 
-pkgconfiglib_DATA += \
-	src/compat-libs/libsystemd-journal.pc \
-	src/compat-libs/libsystemd-login.pc \
-	src/compat-libs/libsystemd-id128.pc \
-	src/compat-libs/libsystemd-daemon.pc
-
 # move lib from $(libdir) to $(rootlibdir) and update devel link, if needed
 compat-lib-install-hook:
 	libname=libsystemd-login.so && $(move-to-rootlibdir)
--- a/Makefile.in	2014-12-10 23:21:07.050383310 +0100
+++ b/Makefile.in	2014-12-11 12:57:29.632553440 +0100
@@ -1369,21 +1369,18 @@
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-id128.la \
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-daemon.la
 
-@ENABLE_COMPAT_LIBS_TRUE@am__append_311 = \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-journal.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-login.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-id128.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-daemon.pc
-
-@ENABLE_COMPAT_LIBS_TRUE@am__append_312 = compat-lib-install-hook
-@ENABLE_COMPAT_LIBS_TRUE@am__append_313 = compat-lib-uninstall-hook
-@ENABLE_MANPAGES_TRUE@am__append_314 = \
+@ENABLE_COMPAT_LIBS_TRUE@am__append_311 = compat-lib-install-hook
+@ENABLE_COMPAT_LIBS_TRUE@am__append_312 = compat-lib-uninstall-hook
+@ENABLE_MANPAGES_TRUE@am__append_313 = \
 @ENABLE_MANPAGES_TRUE@	man/custom-entities.ent
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_315 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_314 = \
 @HAVE_SYSV_COMPAT_TRUE@	docs/sysvinit/README \
 @HAVE_SYSV_COMPAT_TRUE@	docs/var-log/README
 
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_315 = \
+@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
+
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_316 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
@@ -1396,13 +1393,10 @@
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_319 = \
 @HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
 
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@am__append_320 = \
-@HAVE_SYSV_COMPAT_TRUE@@HAVE_UTMP_TRUE@	systemd-update-utmp-runlevel.service
-
-@HAVE_UTMP_TRUE@am__append_321 = \
+@HAVE_UTMP_TRUE@am__append_320 = \
 @HAVE_UTMP_TRUE@	systemd-update-utmp.service
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_322 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_321 = \
 @HAVE_SYSV_COMPAT_TRUE@	poweroff.target runlevel0.target \
 @HAVE_SYSV_COMPAT_TRUE@	rescue.target runlevel1.target \
 @HAVE_SYSV_COMPAT_TRUE@	multi-user.target runlevel2.target \
@@ -1411,28 +1405,28 @@
 @HAVE_SYSV_COMPAT_TRUE@	graphical.target runlevel5.target \
 @HAVE_SYSV_COMPAT_TRUE@	reboot.target runlevel6.target
 
-@ENABLE_KDBUS_TRUE@am__append_323 = \
+@ENABLE_KDBUS_TRUE@am__append_322 = \
 @ENABLE_KDBUS_TRUE@	$(systemunitdir)/busnames.target busnames.target
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_324 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_323 = \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel1.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel2.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel3.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel4.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel5.target.wants
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_325 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_324 = \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvinit-path=$$dc_install_base/$(sysvinitdir) \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvrcnd-path=$$dc_install_base/$(sysvrcnddir)
 
-@HAVE_SYSV_COMPAT_FALSE@am__append_326 = \
+@HAVE_SYSV_COMPAT_FALSE@am__append_325 = \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvinit-path= \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvrcnd-path=
 
-@HAVE_PYTHON_TRUE@am__append_327 = \
+@HAVE_PYTHON_TRUE@am__append_326 = \
 @HAVE_PYTHON_TRUE@	--with-python
 
-@ENABLE_GTK_DOC_TRUE@am__append_328 = \
+@ENABLE_GTK_DOC_TRUE@am__append_327 = \
 @ENABLE_GTK_DOC_TRUE@	--enable-gtk-doc
 
 subdir = .
@@ -5053,8 +5047,8 @@
 	$(am__append_306) $(nodist_systemunit_DATA) \
 	$(nodist_userunit_DATA) $(pkgconfigdata_DATA) \
 	$(pkgconfiglib_DATA) $(nodist_polkitpolicy_DATA) \
-	$(am__append_315) defined undefined
-DISTCLEANFILES = $(am__append_314)
+	$(am__append_314) defined undefined
+DISTCLEANFILES = $(am__append_313)
 
 # Really, do not edit this file.
 EXTRA_DIST = shell-completion/bash/systemctl.in \
@@ -5313,10 +5307,10 @@
 	systemd-detect-virt-install-hook $(am__append_106) \
 	bus-proxyd-install-hook $(am__append_113) \
 	libsystemd-install-hook libudev-install-hook $(am__append_144) \
-	journal-install-hook $(am__append_312)
+	journal-install-hook $(am__append_311)
 UNINSTALL_EXEC_HOOKS = $(am__append_107) bus-proxyd-uninstall-hook \
 	libsystemd-uninstall-hook libudev-uninstall-hook \
-	journal-uninstall-hook $(am__append_313)
+	journal-uninstall-hook $(am__append_312)
 INSTALL_DATA_HOOKS = units-install-hook hwdb-update-hook \
 	catalog-update-hook
 UNINSTALL_DATA_HOOKS = units-uninstall-hook catalog-remove-hook
@@ -5353,7 +5347,11 @@
 include_HEADERS = src/libudev/libudev.h
 noinst_DATA = $(am__append_59) $(am__append_61) $(am__append_124)
 pkgconfiglib_DATA = src/libsystemd/libsystemd.pc \
-	src/libudev/libudev.pc $(am__append_133) $(am__append_311)
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc src/libudev/libudev.pc \
+	$(am__append_133)
 polkitpolicy_in_in_files =  \
 	src/core/org.freedesktop.systemd1.policy.in.in
 polkitpolicy_in_files =  \
@@ -5498,7 +5496,7 @@
 # ------------------------------------------------------------------------------
 INSTALL_DIRS = $(am__append_84) $(am__append_90) \
 	$(sysconfdir)/udev/rules.d $(sysconfdir)/udev/hwdb.d \
-	$(am__append_182) $(am__append_300) $(am__append_324) \
+	$(am__append_182) $(am__append_300) $(am__append_323) \
 	$(prefix)/lib/modules-load.d $(sysconfdir)/modules-load.d \
 	$(prefix)/lib/systemd/network $(sysconfdir)/systemd/network \
 	$(prefix)/lib/sysctl.d $(sysconfdir)/sysctl.d \
@@ -5509,11 +5507,11 @@
 	$(pkgsysconfdir)/system/getty.target.wants \
 	$(pkgsysconfdir)/user $(dbussessionservicedir) \
 	$(sysconfdir)/xdg/systemd
-RUNLEVEL1_TARGET_WANTS = $(am__append_316)
-RUNLEVEL2_TARGET_WANTS = $(am__append_317)
-RUNLEVEL3_TARGET_WANTS = $(am__append_318)
-RUNLEVEL4_TARGET_WANTS = $(am__append_319)
-RUNLEVEL5_TARGET_WANTS = $(am__append_320)
+RUNLEVEL1_TARGET_WANTS = $(am__append_315)
+RUNLEVEL2_TARGET_WANTS = $(am__append_316)
+RUNLEVEL3_TARGET_WANTS = $(am__append_317)
+RUNLEVEL4_TARGET_WANTS = $(am__append_318)
+RUNLEVEL5_TARGET_WANTS = $(am__append_319)
 SHUTDOWN_TARGET_WANTS = 
 LOCAL_FS_TARGET_WANTS = systemd-remount-fs.service tmp.mount
 MULTI_USER_TARGET_WANTS = $(am__append_301) getty.target \
@@ -5526,7 +5524,7 @@
 	systemd-journal-flush.service \
 	systemd-journal-catalog-update.service $(am__append_183) \
 	$(am__append_187) $(am__append_198) $(am__append_206) \
-	$(am__append_321) systemd-update-done.service \
+	$(am__append_320) systemd-update-done.service \
 	dev-hugepages.mount dev-mqueue.mount sys-kernel-config.mount \
 	sys-kernel-debug.mount sys-fs-fuse-connections.mount \
 	systemd-sysctl.service systemd-ask-password-console.path
@@ -5544,7 +5542,7 @@
 USER_BUSNAMES_TARGET_WANTS = 
 SYSTEM_UNIT_ALIASES = $(am__append_213) $(am__append_224) \
 	$(am__append_236) $(am__append_259) $(am__append_270) \
-	$(am__append_302) $(am__append_322) graphical.target \
+	$(am__append_302) $(am__append_321) graphical.target \
 	default.target reboot.target ctrl-alt-del.target \
 	getty@.service autovt@.service
 USER_UNIT_ALIASES = $(systemunitdir)/shutdown.target shutdown.target \
@@ -5555,7 +5553,7 @@
 	$(systemunitdir)/printer.target printer.target \
 	$(systemunitdir)/sound.target sound.target \
 	$(systemunitdir)/smartcard.target smartcard.target \
-	$(am__append_323)
+	$(am__append_322)
 GENERAL_ALIASES = $(am__append_245) $(am__append_272) \
 	$(am__append_281) $(systemunitdir)/remote-fs.target \
 	$(pkgsysconfdir)/system/multi-user.target.wants/remote-fs.target \
@@ -9047,8 +9045,8 @@
 	--with-pamlibdir=$$dc_install_base/$(pamlibdir) \
 	--with-pamconfdir=$$dc_install_base/$(pamconfdir) \
 	--with-rootprefix=$$dc_install_base --disable-split-usr \
-	--enable-kdbus --enable-compat-libs $(am__append_325) \
-	$(am__append_326) $(am__append_327) $(am__append_328)
+	--enable-kdbus --enable-compat-libs $(am__append_324) \
+	$(am__append_325) $(am__append_326) $(am__append_327)
 www_target = www.freedesktop.org:/srv/www.freedesktop.org/www/software/systemd
 OBJECT_VARIABLES := $(filter %_OBJECTS,$(.VARIABLES))
 ALL_OBJECTS := $(foreach v,$(OBJECT_VARIABLES),$($(v)))
